package ru.yandex.webmaster3.storage.util.clickhouse2.query.cases;

/**
 * @author tsyplyaev
 */
public class Binary extends Case {
    private final String field;
    private final Value value;
    private final String sign;

    Binary(String field, Object value, String sign) {
        this.field = field;
        this.value = new Value(value);
        this.sign = sign;
    }

    @Override
    public String toString() {
        return field.toString() + " " + sign + " " + value.toString();
    }
}
